Subject: [IPP] IPP Last Call of IPP Get-User-Printer-Attributes Registration (Ends 10pm December 1, 2017)

From: Michael Sweet <[email-masked]>
Date: Thu, 16 Nov 2017 22:25:16 -0500

All,

This message begins the IPP Last Call of the IPP Get-User-Printer-Attributes registration which is available at the following URLs:

    https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippgupa-20171117.pdf
    https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippgupa-20171117.odt

Please review this registration and respond to the IPP mailing list (reply-all to this message is fine) with any feedback you have for the proposed registration.

This IPP Last Call ends at 10pm PT on December 1, 2017.

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Fri, 17 Nov 2017 08:34:10 -0500

One Apple comment: there is no IANA Considerations section! (and I don't believe I missed this with all of the reviews we did!)

You'll need two subsections to register the new operation and its corresponding value, to insert before the current section 8 (references) - the current reg-template.docx has the necessary text you can copy from:

N IANA Considerations

N.1 Type2 enum Registrations

The attributes defined in this registration will be published by IANA according to the procedures in IPP Model and Semantics [RFC8011] section 7.1 in the following file:

    http://www.iana.org/assignments/ipp-registrations

The registry entries will contain the following information:

    Attributes (attribute syntax)
      Enum Value      Enum Symbolic Name                     Reference
      ----------      ------------------                     ---------
    operations-supported (1setOf type2 enum)                 [RFC8011]
      0x0066          Get-User-Printer-Attributes            [IPPGUPA]

N.2 Operation Registrations

The attributes defined in this registration will be published by IANA according to the procedures in IPP/1.1 Model and Semantics [RFC8011] section 7.4 in the following file:

    http://www.iana.org/assignments/ipp-registrations

The registry entries will contain the following information:

    Operation Name                                           Reference
    --------------                                           ---------
    Get-User-Printer-Attributes                              [IPPGUPA]

> On Nov 16, 2017, at 10:25 PM, Michael Sweet <[email-masked]> wrote:
> 
> All,
>

---

From: "Kennedy, Smith (Wireless & Standards Architec)" <[email-masked]>
Date: Fri, 17 Nov 2017 15:02:22 +0000

Wow, I wonder how I missed that too! I can hammer out another revision and we can re-issue the last call. Or we can just treat this as conventional last call feedback. Which do you and the IPP WG prefer?

Cheers,
Smith
---

   Smith Kennedy
   Wireless Architect - Client Software - IPG-PPS
   Standards - PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum
   Chair, IEEE ISTO Printer Working Group
   HP Inc.

On Nov 17, 2017, at 6:34 AM, Michael Sweet <[email-masked]<mailto:[email-masked]>> wrote:

N IANA Considerations

   Operation Name                                           Reference
   --------------                                           ---------

On Nov 16, 2017, at 10:25 PM, Michael Sweet <[email-masked]<mailto:[email-masked]>> wrote:

All,

_______________________________________________
ipp mailing list
[email-masked]<mailto:[email-masked]>
https://www.pwg.org/mailman/listinfo/ipp

_______________________________________________
ipp mailing list
[email-masked]<mailto:[email-masked]>
https://www.pwg.org/mailman/listinfo/ipp
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Ira McDonald <[email-masked]>
Date: Fri, 17 Nov 2017 10:24:16 -0500

Hi Smith,

Please treat as conventional WG last call feedback and hold the changes for
end of last call version.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434

On Fri, Nov 17, 2017 at 10:02 AM, Kennedy, Smith (Wireless & Standards
Architec) <[email-masked]> wrote:

> Wow, I wonder how I missed that too! I can hammer out another revision and
> we can re-issue the last call. Or we can just treat this as conventional
> last call feedback. Which do you and the IPP WG prefer?
>
> Cheers,
> Smith
> ---
>
>    Smith Kennedy
> On Nov 17, 2017, at 6:34 AM, Michael Sweet <[email-masked]> wrote:
>
> One Apple comment: there is no IANA Considerations section! (and I don't
> believe I missed this with all of the reviews we did!)
>
> You'll need two subsections to register the new operation and its
> corresponding value, to insert before the current section 8 (references) -
> the current reg-template.docx has the necessary text you can copy from:
>
> N IANA Considerations
>
>
> The attributes defined in this registration will be published by IANA
> according to the procedures in IPP Model and Semantics [RFC8011] section
> 7.1 in the following file:
>
> The attributes defined in this registration will be published by IANA
> according to the procedures in IPP/1.1 Model and Semantics [RFC8011]
> section 7.4 in the following file:
>
> This message begins the IPP Last Call of the IPP
> Get-User-Printer-Attributes registration which is available at the
> following URLs:
>
>
> Please review this registration and respond to the IPP mailing list
> (reply-all to this message is fine) with any feedback you have for the
> proposed registration.
>
>

---

From: Paul Tykodi <[email-masked]>
Date: Fri, 17 Nov 2017 10:29:18 -0500

Hi Smith,

Since we missed a required section in the template, I personally like the re-publish and re-start option as opposed to considering it as a last call comment.

Generally I am seeing this as a process failure (i. e. template used was missing a required section) rather than a content related issue.

I realize adding the section into the document adds content so I think either proposed solution will  work fine within PWG process rules.

Thanks.

Best Regards,

/Paul

P.S. - Thanks Mike for catching this issue.

Sent from my iPhone

> On Nov 17, 2017, at 10:02 AM, Kennedy, Smith (Wireless & Standards Architec) <[email-masked]> wrote:
>

---

From: Ira McDonald <[email-masked]>
Date: Fri, 17 Nov 2017 11:15:05 -0500

Hi Paul,

Several comments:

1) The IANA section was NOT missing in the template.
2) The PWG Process for IPP Registrations is work-in-progress in SC.
3) This is a WG last call, NOT a PWG last call.
4) Stop, revise, and restart is a slippery slope that does not have any
existing PWG Process 3.0 sanction for WG last call.

Cheers,
- Ira

On Fri, Nov 17, 2017 at 10:29 AM, Paul Tykodi <[email-masked]> wrote:

> Hi Smith,
>
> Since we missed a required section in the template, I personally like the
> re-publish and re-start option as opposed to considering it as a last call
> comment.
>
> Generally I am seeing this as a process failure (i. e. template used was
> missing a required section) rather than a content related issue.
>
> I realize adding the section into the document adds content so I think
> either proposed solution will  work fine within PWG process rules.
>
> Thanks.
>
> Best Regards,
>
> /Paul
>

---

From: Paul Tykodi <[email-masked]>
Date: Fri, 17 Nov 2017 13:54:19 -0500

Hi Ira,

If the template had the IANA section included and the relevant data was simply not added, then I completely agree with your earlier suggestion to include the item in the last call comments.

Thanks.

Best Regards,

/Paul

Sent from my iPhone

> On Nov 17, 2017, at 11:15 AM, Ira McDonald <[email-masked]> wrote:
> 
> Hi Paul,
> 
> Several comments:
>

---

From: Mike Sweet <[email-masked]>
Date: Fri, 17 Nov 2017 14:00:09 -0500

It isn’t a technical change (just editorial “paperwork”) so let’s keep going as is...

Sent from my iPhone